# Uses of Class
com.ngrok.definitions.EventTarget

Packages that use EventTarget
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EventTarget in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EventTarget
  Modifier and Type
  Method
  Description
  `EventTarget`
  EventTarget.Builder.`build()`
  Constructs the `EventTarget` instance.
  `EventTarget`
  EventDestination.`getTarget()`
  An object that encapsulates where and how to send your events.
  Constructors in com.ngrok.definitions with parameters of type EventTarget
  Modifier
  Constructor
  Description
  ``
  `EventDestination(String id, String metadata, OffsetDateTime createdAt, String description, String format, EventTarget target, URI uri)`
  Creates a new instance of `EventDestination`.

- ## Uses of EventTarget in com.ngrok.services

  Methods in com.ngrok.services with parameters of type EventTarget
  Modifier and Type
  Method
  Description
  `EventDestinations.CreateCallBuilder`
  EventDestinations.CreateCallBuilder.`target(EventTarget target)`
  An object that encapsulates where and how to send your events.
  `EventDestinations.UpdateCallBuilder`
  EventDestinations.UpdateCallBuilder.`target(EventTarget target)`
  An object that encapsulates where and how to send your events.
  Method parameters in com.ngrok.services with type arguments of type EventTarget
  Modifier and Type
  Method
  Description
  `EventDestinations.CreateCallBuilder`
  EventDestinations.CreateCallBuilder.`target(Optional<EventTarget> target)`
  An object that encapsulates where and how to send your events.
  `EventDestinations.UpdateCallBuilder`
  EventDestinations.UpdateCallBuilder.`target(Optional<EventTarget> target)`
  An object that encapsulates where and how to send your events.